use walkdir::WalkDir;

fn main() {
    for entry in WalkDir::new(".") {
        match entry {
            Ok(en) => { 
                let is_dir = en.path().is_dir();
                println!("-- {} {}", en.path().display(), if is_dir { "[DIR]" } else { "" });
            },
            Err(er) => println!("[ERROR] {}", er),
        }
    }
}
